/*
 * stm32f4_rng.h
 *
 *  Created on: Aug 30, 2016
 *      Author: tkl
 */

#ifndef SOURCE_FIRMWARE_ARCH_STM32F4XX_INCLUDE_STM32F4_RNG_H_
#define SOURCE_FIRMWARE_ARCH_STM32F4XX_INCLUDE_STM32F4_RNG_H_

struct stm32f4_rng {
	RNG_HandleTypeDef *rng_handle;
};

int stm32f4_rng_open(const void *this);
int stm32f4_rng_close(const void *this);
unsigned int stm32f4_rng_read(const void *this);

static const struct rng_fp rng_fp = {
		.open = stm32f4_rng_open,
		.close = stm32f4_rng_close,
		.read = stm32f4_rng_read,
};

#endif /* SOURCE_FIRMWARE_ARCH_STM32F4XX_INCLUDE_STM32F4_RNG_H_ */
